## gmt 5.2.1+dfsg

=== CMakeLists.txt ===
#
#	$Id: CMakeLists.txt 15219 2015-11-12 00:48:26Z fwobbe $
#
#	Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
#	See LICENSE.TXT file for copying and redistribution conditions.
#
#	This program is free software; you can redistribute it and/or modify
#	it under the terms of the GNU Lesser General Public License as published by
#	the Free Software Foundation; version 3 or any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU Lesser General Public License for more details.
#
#	Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# To modify the cmake process: Edit your cmake/ConfigUser.cmake file
#
# To build out-of-source do (example):
#
#	mkdir build
#	cd build
#	cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo ..
#
# CMAKE_BUILD_TYPE can be: empty, Debug, Release, RelWithDebInfo or MinSizeRel
#
# cmake creates a new file cmake/ConfigUser.cmake if it does not already
# exist. You can configure additional options there.
#

# Make sure the user doesn't play dirty with symlinks
get_filename_component (srcdir "${CMAKE_SOURCE_DIR}" REALPATH)
get_filename_component (bindir "${CMAKE_BINARY_DIR}" REALPATH)

# Disallow in-source builds
if (${srcdir} STREQUAL ${bindir})
	message(FATAL_ERROR "In-source builds are not allowed. "
	"Please create a directory and run cmake from there, passing the path "
	"to this source directory as the last argument. This process created "
	"the file `CMakeCache.txt' and the directory `CMakeFiles' in ${srcdir}. "
	"Please remove them.")
endif (${srcdir} STREQUAL ${bindir})

# Define minimum CMake version required
cmake_minimum_required (VERSION 2.8.5)

# Use NEW behavior with newer CMake releases
foreach(p
		CMP0025 # CMake 3.0: Compiler id for Apple Clang is now AppleClang
		)
	if(POLICY ${p})
		cmake_policy(SET ${p} NEW)
	endif()
endforeach()

# Use OLD behavior with newer CMake releases
foreach(p
		CMP0026 # CMake 3.0: Disallow use of the LOCATION target property
		)
	if(POLICY ${p})
		cmake_policy(SET ${p} OLD)
	endif()
endforeach()

# Define project name and language
project (GMT C)

# Where to find our CMake modules (this variable is visible in subdirectories).
set (CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/"
	CACHE INTERNAL "Location of our custom CMake modules." FORCE)

# Include configuration options (default options and options overridden by user).
include (ConfigCMake)

# Find UNIX commands
include (FindUnixCommands)
find_program (SVN svn)
find_program (GS gs gswin64)

# Global test target
add_custom_target (check
	COMMAND ${CMAKE_CTEST_COMMAND}
	--force-new-ctest-process -j${N_TEST_JOBS})

# Find test dependencies
find_program (GRAPHICSMAGICK gm)
if (DO_EXAMPLES OR DO_TESTS AND NOT GRAPHICSMAGICK)
	message (FATAL_ERROR "Cannot proceed without GraphicsMagick. "
		"Need to either install GraphicsMagick or disable tests.")
endif (DO_EXAMPLES OR DO_TESTS AND NOT GRAPHICSMAGICK)

# Add subdirectories
#set(_manfiles_ps "" CACHE INTERNAL "Global list of PS manpages")
add_subdirectory (src)
add_subdirectory (share)      # share must be processed *after* src (GSHHG_PATH)
add_subdirectory (doc)        # share must be processed *after* src (PDF manpages)
if (EXISTS ${GMT_SOURCE_DIR}/test/)
	add_subdirectory (test)
endif (EXISTS ${GMT_SOURCE_DIR}/test/)
add_subdirectory (cmake/dist) # make distribution bundles (always last)

# Source release target
if (SVN AND HAVE_SVN_VERSION)
	# Export svn working tree
	add_custom_target (svn_export_release
		COMMAND ${SVN} --force export
		${GMT_SOURCE_DIR} ${GMT_RELEASE_PREFIX})
	# Remove the test dir, so that it is not included in the final release tarball
	add_custom_target (svn_prune_test_dir
		COMMAND ${CMAKE_COMMAND} -E remove_directory ${GMT_RELEASE_PREFIX}/test)
	add_depend_to_target (svn_prune_test_dir svn_export_release)
	add_depend_to_target (gmt_release svn_prune_test_dir)
	find_program (GNUTAR NAMES gnutar gtar tar)
	find_program (XZ NAMES xz)
	if (GNUTAR AND GZIP AND XZ)
		# Targets for creating tarballs
		string (REGEX REPLACE ".*/" "" _release_dirname "${GMT_RELEASE_PREFIX}")
		add_custom_command (OUTPUT ${_release_dirname}-src.tar
			COMMAND ${GNUTAR} -c --owner 0 --group 0 --mode a=rX,u=rwX
			-f ${GMT_BINARY_DIR}/${_release_dirname}-src.tar ${_release_dirname}
			DEPENDS ${GMT_RELEASE_PREFIX}
			WORKING_DIRECTORY ${GMT_RELEASE_PREFIX}/..
			VERBATIM)
		add_custom_command (OUTPUT ${_release_dirname}-src.tar.gz
			COMMAND ${GZIP} -9 --keep --force ${GMT_BINARY_DIR}/${_release_dirname}-src.tar
			DEPENDS ${GMT_RELEASE_PREFIX} ${_release_dirname}-src.tar
			WORKING_DIRECTORY ${GMT_RELEASE_PREFIX}/..
			VERBATIM)
		add_custom_command (OUTPUT ${_release_dirname}-src.tar.xz
			COMMAND ${XZ} -9 --keep --force ${GMT_BINARY_DIR}/${_release_dirname}-src.tar
			DEPENDS ${GMT_RELEASE_PREFIX} ${_release_dirname}-src.tar
			WORKING_DIRECTORY ${GMT_RELEASE_PREFIX}/..
			VERBATIM)
		add_custom_target (gmt_release_tar
			DEPENDS ${GMT_RELEASE_PREFIX}
			${_release_dirname}-src.tar.gz ${_release_dirname}-src.tar.xz)
	endif (GNUTAR AND GZIP AND XZ)
endif (SVN AND HAVE_SVN_VERSION)

get_target_property (_location gmtlib LOCATION)
get_filename_component (GMT_CORE_LIB_NAME ${_location} NAME)

get_target_property (_location pslib LOCATION)
get_filename_component (PSL_LIB_NAME ${_location} NAME)

if (BUILD_SUPPLEMENTS)
	# Get name of shared supplemental library
	get_target_property (_location supplib LOCATION)
	get_filename_component (GMT_SUPPL_LIB_NAME ${_location} NAME)
	set (SUPPL "yes [${GMT_SUPPL_LIB_NAME}]")
else (BUILD_SUPPLEMENTS)
	set (SUPPL "no")
endif (BUILD_SUPPLEMENTS)

if (BUILD_DEVELOPER)
	set (DEVEL "yes")
else (BUILD_DEVELOPER)
	set (DEVEL "no")
endif (BUILD_DEVELOPER)

if (BUILD_SHARED_LIBS)
	set (BUILD_MODE "shared")
else (BUILD_SHARED_LIBS)
	set (BUILD_MODE "static")
endif (BUILD_SHARED_LIBS)

if (EXTRA_BUILD_DIRS)
	set (PROTO ${EXTRA_BUILD_DIRS})
else (EXTRA_BUILD_DIRS)
	set (PROTO "none")
endif (EXTRA_BUILD_DIRS)

# Configure header file to pass some of the CMake settings to the source code
configure_file (src/config.h.in src/config.h)

# Configuration done
message(
	"*  Options:\n"
	"*  Found GSHHG database       : ${GSHHG_PATH} (${GSHHG_VERSION})\n"
	"*  Found DCW-GMT database     : ${DCW_PATH}\n"
	"*  NetCDF library             : ${NETCDF_LIBRARY}\n"
	"*  NetCDF include dir         : ${NETCDF_INCLUDE_DIR}\n"
	"*  GDAL library               : ${GDAL_LIBRARY}\n"
	"*  GDAL include dir           : ${GDAL_INCLUDE_DIR}\n"
	"*  FFTW library               : ${FFTW3F_LIBRARY}\n"
	"*  FFTW include dir           : ${FFTW3_INCLUDE_DIR}\n"
	"*  Accelerate Framework       : ${ACCELERATE_FRAMEWORK}\n"
	"*  Regex support              : ${GMT_CONFIG_REGEX_MESSAGE}\n"
	"*  ZLIB library               : ${ZLIB_LIBRARY}\n"
	"*  ZLIB include dir           : ${ZLIB_INCLUDE_DIR}\n"
	"*  LAPACK library             : ${GMT_CONFIG_LAPACK_MESSAGE}\n"
	"*  License restriction        : ${LICENSE_RESTRICTED}\n"
	"*  Triangulation method       : ${GMT_TRIANGULATE}\n"
	"*  OpenMP support             : ${GMT_CONFIG_OPENMP_MESSAGE}\n"
	"*  GLIB GTHREAD support       : ${GMT_CONFIG_GTHREAD_MESSAGE}\n"
	"*  PTHREAD support            : ${GMT_CONFIG_PTHREAD_MESSAGE}\n"
	"*  Build mode                 : ${BUILD_MODE}\n"
	"*  Build GMT core             : always [${GMT_CORE_LIB_NAME}]\n"
	"*  Build PSL library          : always [${PSL_LIB_NAME}]\n"
	"*  Build GMT supplements      : ${SUPPL}\n"
	"*  Build GMT Developer        : ${DEVEL}\n"
	"*  Build proto supplements    : ${PROTO}\n"
	"*\n"
	"*  Locations:\n"
	"*  Installing GMT in          : ${CMAKE_INSTALL_PREFIX}\n"
	"*  GMT_DATADIR                : ${CMAKE_INSTALL_PREFIX}/${GMT_DATADIR}\n"
	"*  GMT_DOCDIR                 : ${CMAKE_INSTALL_PREFIX}/${GMT_DOCDIR}\n"
	"*  GMT_MANDIR                 : ${CMAKE_INSTALL_PREFIX}/${GMT_MANDIR}")

# For debugging: print all set variables
#get_cmake_property(_variableNames VARIABLES)
#foreach (_variableName ${_variableNames})
#	message(STATUS "${_variableName}=${${_variableName}}")
#endforeach()

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== doc/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 14537 2015-07-15 19:10:06Z pwessel $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------

include (GmtHelperMacros)

# Install license files
if (NOT LICENSE_RESTRICTED STREQUAL GPL)
	install (FILES
		${COPYING_LGPL}
		DESTINATION ${GMT_DOCDIR}/copying
		COMPONENT Runtime)
endif (NOT LICENSE_RESTRICTED STREQUAL GPL)
install (FILES
	${GMT_SOURCE_DIR}/LICENSE.TXT
	${COPYING_GPL}
	${GMT_EXTRA_LICENSE_FILES}
	DESTINATION ${GMT_DOCDIR}/copying
	COMPONENT Runtime)

# reST documentation
add_subdirectory (rst)
set (RST_BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/rst/_source)
add_subdirectory (fig)

# Add tests and make verbatim copies from scripts
add_subdirectory (scripts)
add_subdirectory (examples)
add_subdirectory (tutorial)

if (EXISTS ${GMT_INSTALL_EXTERNAL_DOC})
	# Install documentation files from external location

	install (DIRECTORY ${GMT_INSTALL_EXTERNAL_DOC}/
		DESTINATION ${GMT_DOCDIR}
		COMPONENT Documentation
		USE_SOURCE_PERMISSIONS)
endif (EXISTS ${GMT_INSTALL_EXTERNAL_DOC})

if (NOT WIN32)
	# Do not install .bat files
	set (_exclude_bat "*.bat")
endif (NOT WIN32)

# Install target for examples
install (DIRECTORY examples
	DESTINATION ${GMT_DOCDIR}
	COMPONENT Documentation
	USE_SOURCE_PERMISSIONS
	PATTERN "${_exclude_bat}" EXCLUDE
	PATTERN ".svn" EXCLUDE
	PATTERN "CMakeLists.txt" EXCLUDE
	REGEX "[.](cmake|in|ps)$" EXCLUDE)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== share/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 15178 2015-11-06 10:45:03Z fwobbe $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# share CMakeLists.txt
#

set (_gmt_share_dirs conf cpt custom dbase localization mgd77 mgg
	postscriptlight spotter x2sys)

# install target for data
install (DIRECTORY ${_gmt_share_dirs}
	DESTINATION ${GMT_DATADIR}
	COMPONENT Runtime
	PATTERN ".svn" EXCLUDE
	PATTERN "CMakeLists.txt" EXCLUDE
	REGEX "[.](cmake|in)$" EXCLUDE)

# install version file (used during runtime to check for correct share dir)
configure_file (VERSION.in VERSION @ONLY NEWLINE_STYLE LF)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/VERSION
	DESTINATION ${GMT_DATADIR}
	COMPONENT Runtime)

# only attempt to install shorelines when requested and path is known
if (GSHHG_PATH AND COPY_GSHHG)
	install (DIRECTORY ${GSHHG_PATH}/
		DESTINATION ${GMT_DATADIR}/coast
		COMPONENT GSHHG)
	# location must be blank in share/conf/gmt.conf
	set (GSHHG_INSTALL_PATH)
	# create coastline.conf which is needed for in-build-dir ctest
	configure_file (coastline.conf.in coastline.conf @ONLY)
else (GSHHG_PATH AND COPY_GSHHG)
	# set installed location
	set (GSHHG_INSTALL_PATH ${GSHHG_PATH})
endif (GSHHG_PATH AND COPY_GSHHG)

# only attempt to install DCW file when requested and path is known
if (DCW_PATH AND COPY_DCW)
	install (DIRECTORY ${DCW_PATH}/
		DESTINATION ${GMT_DATADIR}/dcw
		COMPONENT DCW)
	# location must be blank in share/conf/gmt.conf
	set (DCW_INSTALL_PATH)
else (DCW_PATH AND COPY_DCW)
	# set installed location
	set (DCW_INSTALL_PATH ${DCW_PATH})
endif (DCW_PATH AND COPY_DCW)

# add subtrees
add_subdirectory (conf)
add_subdirectory (tools)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== doc/fig/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 14522 2015-07-15 00:47:28Z pwessel $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------

# Figure files
set (_fig_fig GMT4_mode.png GMT5_Summit_2011.jpg GMT5_mode.png
	GMT_Environment.png gimp-sliders+panel.png hsv-cone.png
	formatpicture.png formatting.png highres.png
	noantialias.png rendering.png withantialias.png)

# Copy figures without converting
set (_fig_fig_out)
foreach (_fig ${_fig_fig})
	FILE(MAKE_DIRECTORY ${RST_BINARY_DIR}/_images)
	add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_fig}
		COMMAND ${CMAKE_COMMAND} -E copy_if_different
		${CMAKE_CURRENT_SOURCE_DIR}/${_fig} ${RST_BINARY_DIR}/_images/${_fig}
		DEPENDS ${_fig})
	list (APPEND _fig_fig_out ${RST_BINARY_DIR}/_images/${_fig})
endforeach (_fig ${_fig_fig})

# Add build target
add_custom_target (_docs_copy_fig DEPENDS ${_fig_fig_out})
add_depend_to_target (docs_depends _docs_copy_fig)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== doc/rst/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 15217 2015-11-12 00:46:13Z fwobbe $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------

# reST documentation
find_package (Sphinx)

# path for the cached environment and doctree files
set (SPHINX_CACHE_DIR "${CMAKE_CURRENT_BINARY_DIR}/_doctrees")

if (SPHINX_FOUND)
	# Create configuration file
	configure_file (conf.py.in conf.py @ONLY)

	# Copy reST sources to build tree
	include (CopyDirIfDifferent)
	copy_dir_if_different (_docs_copy_rst_tree_source
		${CMAKE_CURRENT_SOURCE_DIR}/source/
		${CMAKE_CURRENT_BINARY_DIR}/_source)
	add_depend_to_target (docs_depends _docs_copy_rst_tree_source)
	copy_dir_if_different (_docs_copy_rst_tree_themes
		${CMAKE_CURRENT_SOURCE_DIR}/themes/
		${CMAKE_CURRENT_BINARY_DIR}/_themes)
	add_depend_to_target (docs_depends _docs_copy_rst_tree_themes)
	add_custom_target (_docs_rst_mkdir_verbatim
		COMMAND ${CMAKE_COMMAND} -E make_directory
		${CMAKE_CURRENT_BINARY_DIR}/_source/_verbatim
		DEPENDS _docs_copy_rst_tree_source)

	# clean target
	add_custom_target (_rst_clean
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/_doctrees
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/_source
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/_themes
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/html
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/latex
		COMMAND ${CMAKE_COMMAND} -E remove_directory
		${CMAKE_CURRENT_BINARY_DIR}/man
		COMMENT "Removing rst tree")
	# register with spotless target
	add_depend_to_target (spotless _rst_clean)

	# HTML build target
	add_custom_target (docs_html
		COMMAND ${SPHINX_EXECUTABLE} -q -b html
		-c "${CMAKE_CURRENT_BINARY_DIR}"
		-d "${SPHINX_CACHE_DIR}"
		-w "${CMAKE_CURRENT_BINARY_DIR}/html.log"
		${CMAKE_CURRENT_BINARY_DIR}/_source
		${CMAKE_CURRENT_BINARY_DIR}/html
		COMMENT "Building HTML documentation...")
	add_dependencies (docs_html docs_depends)

	# PDF build target
	find_program(MAKE NAMES make gmake gnumake)
	if (MAKE)
		add_custom_target (docs_pdf
			COMMAND ${SPHINX_EXECUTABLE} -q -b latex -t tex
			-c "${CMAKE_CURRENT_BINARY_DIR}"
			-d "${SPHINX_CACHE_DIR}"
			-w "${CMAKE_CURRENT_BINARY_DIR}/latex.log"
			${CMAKE_CURRENT_BINARY_DIR}/_source
			${CMAKE_CURRENT_BINARY_DIR}/latex
			COMMAND ${MAKE} -C ${CMAKE_CURRENT_BINARY_DIR}/latex
			all-pdf LATEXOPTS=-interaction=batchmode
			COMMENT "Building CookBook PDF...")
		add_dependencies (docs_pdf docs_depends)

		# Shrink PDF files
		set (_docs_pdf_output GMT_API.pdf GMT_Docs.pdf GMT_Tutorial.pdf GMT_Manpages.pdf)
		foreach (_pdf_file ${_docs_pdf_output})
			string (REPLACE ".pdf" "_pdf" _pdf_target ${_pdf_file})
			set (_pdf_file "${CMAKE_CURRENT_BINARY_DIR}/latex/${_pdf_file}")
			add_custom_target (_shrink_${_pdf_target}
				COMMAND ${GS} -sDEVICE=pdfwrite
				-dCompatibilityLevel=1.4
				-dPDFSETTINGS=/prepress -dNOPAUSE -dQUIET -dBATCH
				-sOutputFile=${_pdf_file}.shrink ${_pdf_file}
				COMMAND ${CMAKE_COMMAND} -E rename
				${_pdf_file}.shrink ${_pdf_file}
				DEPENDS ${_pdf_file} docs_pdf)
			add_depend_to_target (docs_pdf_shrink _shrink_${_pdf_target})
		endforeach (_pdf_file)
	endif (MAKE)

	# Build and compress manpages
	if (GZIP)
		add_custom_target (docs_man
			COMMAND ${SPHINX_EXECUTABLE} -q -b man
			-c "${CMAKE_CURRENT_BINARY_DIR}"
			-d "${SPHINX_CACHE_DIR}"
			-w "${CMAKE_CURRENT_BINARY_DIR}/man.log"
			${CMAKE_CURRENT_BINARY_DIR}/_source
			${CMAKE_CURRENT_BINARY_DIR}/man
			COMMAND ${GZIP} -9 -n -f ${CMAKE_CURRENT_BINARY_DIR}/man/*.?
			COMMENT "Building manpages...")
		add_dependencies (docs_man docs_depends)
	endif (GZIP)

	# Install targets for realease documentation
	if (SVN AND HAVE_SVN_VERSION)
		# HTML
		add_custom_target (_html_release
			COMMAND ${CMAKE_COMMAND} -E copy_directory
			${CMAKE_CURRENT_BINARY_DIR}/html/
			${GMT_RELEASE_PREFIX}/doc_release/html
			DEPENDS docs_html svn_export_release)
		add_depend_to_target (gmt_release _html_release)
		# PDF
		add_custom_target (_pdf_release
			COMMAND ${CMAKE_COMMAND} -E copy_if_different
			${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_API.pdf
			${GMT_RELEASE_PREFIX}/doc_release/pdf/GMT_API.pdf
			COMMAND ${CMAKE_COMMAND} -E copy_if_different
			${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Docs.pdf
			${GMT_RELEASE_PREFIX}/doc_release/pdf/GMT_Docs.pdf
			COMMAND ${CMAKE_COMMAND} -E copy_if_different
			${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Tutorial.pdf
			${GMT_RELEASE_PREFIX}/doc_release/pdf/GMT_Tutorial.pdf
			COMMAND ${CMAKE_COMMAND} -E copy_if_different
			${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Manpages.pdf
			${GMT_RELEASE_PREFIX}/doc_release/pdf/GMT_Manpages.pdf
			DEPENDS docs_pdf_shrink svn_export_release)
		#add_depend_to_target (gmt_release _pdf_release)
		# Manpages
		add_custom_target (_man_release
			COMMAND ${CMAKE_COMMAND} -E copy_directory
			${CMAKE_CURRENT_BINARY_DIR}/man/
			${GMT_RELEASE_PREFIX}/man_release
			DEPENDS docs_man svn_export_release)
		add_depend_to_target (gmt_release _man_release)
	endif (SVN AND HAVE_SVN_VERSION)
endif (SPHINX_FOUND)

# Install targets
if (NOT EXISTS ${GMT_INSTALL_EXTERNAL_DOC})
	# Install html (if available)
	install (DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
		DESTINATION ${GMT_DOCDIR}/html
		COMPONENT Documentation
		OPTIONAL)

	# Install pdf (if available)
	install (FILES
		${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_API.pdf
		${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Docs.pdf
		${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Tutorial.pdf
		${CMAKE_CURRENT_BINARY_DIR}/latex/GMT_Manpages.pdf
		DESTINATION ${GMT_DOCDIR}/pdf
		COMPONENT Documentation
		OPTIONAL)
endif (NOT EXISTS ${GMT_INSTALL_EXTERNAL_DOC})

if (EXISTS ${GMT_INSTALL_EXTERNAL_MAN})
	# Install manpages from external location
	set (_man_source ${GMT_INSTALL_EXTERNAL_MAN})
else (EXISTS ${GMT_INSTALL_EXTERNAL_MAN})
	# Install manpages from build tree
	set (_man_source ${CMAKE_CURRENT_BINARY_DIR}/man)
endif (EXISTS ${GMT_INSTALL_EXTERNAL_MAN})

# Install man (if available)
install (DIRECTORY ${_man_source}/
	DESTINATION ${GMT_MANDIR}/man1
	COMPONENT Runtime
	FILES_MATCHING PATTERN "*.1.gz")
install (DIRECTORY ${_man_source}/
	DESTINATION ${GMT_MANDIR}/man3
	COMPONENT Runtime
	FILES_MATCHING PATTERN "*.3.gz")
install (DIRECTORY ${_man_source}/
	DESTINATION ${GMT_MANDIR}/man5
	COMPONENT Runtime
	FILES_MATCHING PATTERN "*.5.gz")

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== doc/scripts/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 15178 2015-11-06 10:45:03Z fwobbe $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------

# Scripts which have to be converted to verbatim (with comments)
set (_scr_nostrip GMT_App_M_2.sh GMT_App_P_1.sh GMT_App_P_2.sh)

# Scripts which have to be cobnverted to verbatim (without comments)
set (_scr_strip GMT_-B_custom.sh GMT_-B_time1.sh GMT_-B_time2.sh
	GMT_-B_time3.sh GMT_-B_time4.sh GMT_-B_time5.sh GMT_-B_time6.sh
	GMT_-B_time7.sh GMT_albers.sh GMT_App_K_1.sh GMT_App_K_2.sh GMT_App_K_3.sh
	GMT_App_K_4.sh GMT_App_K_5.sh GMT_App_O_1.sh GMT_App_O_2.sh GMT_App_O_3.sh
	GMT_App_O_4.sh GMT_App_O_5.sh GMT_App_O_6.sh GMT_App_O_7.sh GMT_App_O_8.sh
	GMT_App_O_9.sh GMT_az_equidistant.sh GMT_cassini.sh GMT_eckert4.sh
	GMT_eckert6.sh GMT_equi_cyl.sh GMT_equidistant_conic.sh GMT_gall_stereo.sh
	GMT_general_cyl.sh GMT_gnomonic.sh GMT_grinten.sh GMT_hammer.sh
	GMT_lambert_az_hemi.sh GMT_lambert_az_rect.sh GMT_lambert_conic.sh
	GMT_linear_cal.sh GMT_linear_d.sh GMT_linear.sh GMT_log.sh GMT_mercator.sh
	GMT_miller.sh GMT_mollweide.sh GMT_obl_merc.sh GMT_orthographic.sh
	GMT_perspective.sh GMT_polar.sh GMT_polyconic.sh GMT_pow.sh GMT_robinson.sh
	GMT_sinus_int.sh GMT_sinusoidal.sh GMT_stereographic_general.sh
	GMT_stereographic_polar.sh GMT_stereographic_rect.sh GMT_stereonets.sh
	GMT_TM.sh GMT_transverse_merc.sh GMT_winkel.sh)

# Scripts that are not used in the documentation (but the figures are)
# do not include GMT_-U.sh as this would always fail
set (_scr_other GMT_-B_geo_1.sh GMT_-B_geo_2.sh GMT_-B_linear.sh GMT_-B_log.sh
	GMT_-B_pow.sh GMT_-J.sh GMT_-OK.sh GMT_-P.sh GMT_-R.sh GMT_-XY.sh
	GMT_App_E.sh GMT_App_F_dingbats.sh GMT_App_F_iso+.sh GMT_App_F_stand+.sh
	GMT_App_F_stand+_iso+.sh GMT_App_F_symbol.sh GMT_App_F_symbol_dingbats.sh
	GMT_App_G.sh GMT_App_J_1.sh GMT_App_J_2.sh GMT_App_J_3.sh GMT_App_M_1a.sh GMT_App_M_1b.sh
	GMT_App_N_1.sh GMT_arrows.sh GMT_arrows_types.sh GMT_atan.sh GMT_color_interpolate.sh
	GMT_chunking.sh GMT_coverlogo.sh GMT_Defaults_1a.sh GMT_Defaults_1b.sh GMT_Defaults_1c.sh
	GMT_bezier.sh GMT_linecap.sh GMT_lineoffset.sh GMT_nearneighbor.sh GMT_anchor.sh
	GMT_pstext_clearance.sh GMT_pstext_justify.sh GMT_registration.sh GMT_obl_nz.sh
	GMT_utm_zones.sh GMT_volcano.sh GMT_panel.sh GMT_mapscale.sh GMT_insert.sh GMT_linearrow.sh
	GMT_dir_rose.sh GMT_images.sh GMT_colorbar.sh GMT_legend.sh GMT_mag_rose.sh
	GMT_tut_1.sh GMT_tut_2.sh GMT_tut_3.sh GMT_tut_4.sh GMT_tut_5.sh
	GMT_tut_6.sh GMT_tut_7.sh GMT_tut_8.sh GMT_tut_9.sh GMT_tut_10.sh
	GMT_tut_11.sh GMT_tut_12.sh GMT_tut_13.sh GMT_tut_14.sh GMT_tut_15.sh
	GMT_tut_16.sh GMT_tut_17.sh GMT_tut_18.sh GMT_tut_19.sh)

# Scripts that are only used for testing, figures are not in the documentation
set (_scr_test GMT_RGBchart.sh)
# This is no test: GMT_encoding.sh

set (_scripts_tests ${_scr_nostrip} ${_scr_strip} ${_scr_other} ${_scr_test})

set (_scripts_ps ${_scr_nostrip} ${_scr_strip} ${_scr_other}
	GMT_-U.ps GMT_RGBchart_a4.ps GMT_RGBchart_letter.ps GMT_RGBchart_tabloid.ps)
string (REPLACE ".sh" ".ps" _scripts_ps "${_scripts_ps}")

set (_scripts_pdf)
set (_scripts_png)
set (_scripts_txt)
set (_install_pdf GMT_RGBchart_a4.pdf GMT_RGBchart_tabloid.pdf GMT_RGBchart_letter.pdf)

# Convert figures to PDF and PNG
foreach (_fig ${_scripts_ps})
	string (REPLACE ".ps" ".pdf" _pdf_fig ${_fig})
	string (REPLACE ".ps" ".png" _png_fig ${_fig})
	list (APPEND _scripts_pdf ${RST_BINARY_DIR}/_images/${_pdf_fig})
	list (APPEND _scripts_png ${RST_BINARY_DIR}/_images/${_png_fig})
	FILE(MAKE_DIRECTORY ${RST_BINARY_DIR}/_images)
	if (WIN32)
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_pdf_fig}
			COMMAND
			set GMT_USERDIR=${GMT_BINARY_DIR}/share
			COMMAND
			set GMT_SHAREDIR=${GMT_SOURCE_DIR}/share
			COMMAND
			${GMT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/src/gmt psconvert -A -P -Tf
			-D${RST_BINARY_DIR}/_images
			${CMAKE_CURRENT_SOURCE_DIR}/${_fig}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS gmt_for_img_convert ${_fig})
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_png_fig}
			COMMAND
			set GMT_USERDIR=${GMT_BINARY_DIR}/share
			COMMAND
			set GMT_SHAREDIR=${GMT_SOURCE_DIR}/share
			COMMAND
			${GMT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/src/gmt psconvert
			-A -P -E150 -TG -Qg4 -Qt4 -C-dDOINTERPOLATE
			-D${RST_BINARY_DIR}/_images
			${CMAKE_CURRENT_SOURCE_DIR}/${_fig}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS gmt_for_img_convert ${_fig})
	else (WIN32)
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_pdf_fig}
			COMMAND
			_dummy_var=cmake_assumes_this_is_a_command # needed for spaces to be escaped correctly
			GMT_USERDIR=${GMT_BINARY_DIR}/share
			GMT_SHAREDIR=${GMT_SOURCE_DIR}/share
			${GMT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/src/gmt psconvert -A -P -Tf
			-D${RST_BINARY_DIR}/_images
			${CMAKE_CURRENT_SOURCE_DIR}/${_fig}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS gmt_for_img_convert ${_fig})
		add_custom_command (OUTPUT ${RST_BINARY_DIR}/_images/${_png_fig}
			COMMAND
			_dummy_var=cmake_assumes_this_is_a_command # needed for spaces to be escaped correctly
			GMT_USERDIR=${GMT_BINARY_DIR}/share
			GMT_SHAREDIR=${GMT_SOURCE_DIR}/share
			${GMT_BINARY_DIR}/${CMAKE_CFG_INTDIR}/src/gmt psconvert
			-A -P -E150 -TG -Qg4 -Qt4 -C-dDOINTERPOLATE
			-D${RST_BINARY_DIR}/_images
			${CMAKE_CURRENT_SOURCE_DIR}/${_fig}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			DEPENDS gmt_for_img_convert ${_fig})
	endif (WIN32)
endforeach (_fig ${_scripts_ps})

foreach (_script ${_scr_nostrip})
	string (REPLACE ".sh" ".txt" _txt ${_script})
	list (APPEND _scripts_txt ${RST_BINARY_DIR}/_verbatim/${_txt})
	FILE(MAKE_DIRECTORY ${RST_BINARY_DIR}/_verbatim)
	# Add command that triggers generator macro when output does not exist
	add_custom_command (OUTPUT ${RST_BINARY_DIR}/_verbatim/${_txt}
		COMMAND ${GMT_BINARY_DIR}/src/script2verbatim
		${CMAKE_CURRENT_SOURCE_DIR}/${_script}
		${RST_BINARY_DIR}/_verbatim/${_txt}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		DEPENDS script2verbatim _docs_rst_mkdir_verbatim ${CMAKE_CURRENT_SOURCE_DIR}/${_script})
endforeach (_script)

foreach (_script ${_scr_strip})
	string (REPLACE ".sh" ".txt" _txt ${_script})
	list (APPEND _scripts_txt ${RST_BINARY_DIR}/_verbatim/${_txt})
	FILE(MAKE_DIRECTORY ${RST_BINARY_DIR}/_verbatim)
	add_custom_command (OUTPUT ${RST_BINARY_DIR}/_verbatim/${_txt}
		COMMAND ${GMT_BINARY_DIR}/src/script2verbatim --strip-comments
		${CMAKE_CURRENT_SOURCE_DIR}/${_script}
		${RST_BINARY_DIR}/_verbatim/${_txt}
		WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
		DEPENDS script2verbatim _docs_rst_mkdir_verbatim ${CMAKE_CURRENT_SOURCE_DIR}/${_script})
endforeach (_script)

# Add build target
add_custom_target (_docs_scripts_fig DEPENDS ${_scripts_pdf} ${_scripts_png})
add_custom_target (_docs_scripts_verbatim DEPENDS ${_scripts_txt})
add_depend_to_target (docs_depends _docs_scripts_fig _docs_scripts_verbatim)

# run tests
if (DO_TESTS)
	# this file takes care of setting up the test environment
	configure_file (gmtest.in gmtest @ONLY)

	# Workaround cmake bug 3957: CRLF line ending
	if (CYGWIN_INSTALL_PATH)
		find_program (D2U d2u
			${CYGWIN_INSTALL_PATH}/bin)
		execute_process (COMMAND ${D2U}
			${CMAKE_CURRENT_BINARY_DIR}/gmtest)
	endif (CYGWIN_INSTALL_PATH)

	foreach (_job ${_scripts_tests})
		add_test (NAME ${_job}
			WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
			COMMAND ${BASH} gmtest ${_job})
	endforeach (_job)
endif (DO_TESTS)

if (NOT EXISTS ${GMT_INSTALL_EXTERNAL_DOC})
	# Install pdf figures (if found) when there is no external location
	foreach (_fig ${_install_pdf})
		install (FILES ${RST_BINARY_DIR}/_images/${_fig}
			DESTINATION ${GMT_DOCDIR}/pdf
			COMPONENT Documentation
			OPTIONAL)
	endforeach (_fig ${_install_pdf})
endif (NOT EXISTS ${GMT_INSTALL_EXTERNAL_DOC})

# Install target for realease documentation
if (SVN AND HAVE_SVN_VERSION)
	foreach (_fig ${_install_pdf})
		add_custom_target (_${_fig}_release
			COMMAND ${CMAKE_COMMAND} -E copy_if_different
			${RST_BINARY_DIR}/_images/${_fig}
			${GMT_RELEASE_PREFIX}/doc_release/pdf/${_fig}
			DEPENDS ${RST_BINARY_DIR}/_images/${_fig} svn_export_release)
		add_depend_to_target (gmt_release _${_fig}_release)
	endforeach (_fig ${_install_pdf})
endif (SVN AND HAVE_SVN_VERSION)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== doc/tutorial/CMakeLists.txt ===
#
# $I$
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------

set (GMT_TUTORIAL_FILES bermuda.nc data otemp.anal1deg.nc quakes.cpt
	quakes.ngdc ship.xyz topo.cpt us.nc)
	
install (FILES ${GMT_TUTORIAL_FILES}
	DESTINATION ${GMT_DOCDIR}/tutorial
	COMPONENT Documentation)

=== share/conf/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 13846 2014-12-28 21:46:54Z pwessel $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# share/conf/CMakeLists.txt
#

# Generate system defaults file
set (GMT_CONF_TEMPLATE "System-wide")

if (UNITS EQUAL "US")
	set (GMT_PS_CHAR_ENCODING "Standard+")
	set (GMT_PROJ_LENGTH_UNIT "inch")
	set (GMT_PS_MEDIA "letter")
	set (GMT_WEEK_START "Sunday")
else (UNITS EQUAL "US")
	set (GMT_PS_CHAR_ENCODING "ISOLatin1+")
	set (GMT_PROJ_LENGTH_UNIT "cm")
	set (GMT_PS_MEDIA "a4")
	set (GMT_WEEK_START "Monday")
endif (UNITS EQUAL "US")
configure_file (gmt.conf.in gmt.conf)

set (GMT_CONF_TEMPLATE "Template US")
set (GMT_PS_CHAR_ENCODING "Standard+")
set (GMT_PROJ_LENGTH_UNIT "inch")
set (GMT_PS_MEDIA "letter")
set (GMT_WEEK_START "Sunday")
configure_file (gmt.conf.in gmt_US.conf)

set (GMT_CONF_TEMPLATE "Template SI")
set (GMT_PS_CHAR_ENCODING "ISOLatin1+")
set (GMT_PROJ_LENGTH_UNIT "cm")
set (GMT_PS_MEDIA "a4")
set (GMT_WEEK_START "Monday")
configure_file (gmt.conf.in gmt_SI.conf)

set (GMT_CONFIG_FILES
	${CMAKE_CURRENT_BINARY_DIR}/gmt.conf
	${CMAKE_CURRENT_BINARY_DIR}/gmt_US.conf
	${CMAKE_CURRENT_BINARY_DIR}/gmt_SI.conf
)

install (FILES ${GMT_CONFIG_FILES}
	DESTINATION ${GMT_DATADIR}/conf
	COMPONENT Runtime)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== share/tools/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 15178 2015-11-06 10:45:03Z fwobbe $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# share/tools/CMakeLists.txt
#

configure_file (gmt5syntax.in gmt5syntax @ONLY)

install (PROGRAMS
	gmt_functions.sh
	gmt_aliases.csh
	gmt_links.sh
	gmt_prepmex.sh
	gmt_uninstall.sh
	ncdeflate
	${CMAKE_CURRENT_BINARY_DIR}/gmt5syntax
	DESTINATION ${GMT_DATADIR}/tools
	COMPONENT Runtime)

if (NOT DEFINED BASH_COMPLETION_DIR)
	set (BASH_COMPLETION_DIR etc/bash_completion.d)
endif (NOT DEFINED BASH_COMPLETION_DIR)

if (GMT_INSTALL_TRADITIONAL_FOLDERNAMES)
	install (PROGRAMS
		gmt_completion.bash
		DESTINATION ${GMT_DATADIR}/tools
		COMPONENT Runtime)
else (GMT_INSTALL_TRADITIONAL_FOLDERNAMES)
	install (FILES
		gmt_completion.bash
		DESTINATION ${BASH_COMPLETION_DIR}
		COMPONENT Runtime
		RENAME gmt)
endif (GMT_INSTALL_TRADITIONAL_FOLDERNAMES)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== src/meca/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 13846 2014-12-28 21:46:54Z pwessel $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# To modify the cmake process: Edit your cmake/ConfigUser.cmake file
#

# source files
set (SUPPL_LIB_SRCS utilmeca.c nrutil.c)
set (SUPPL_PROGS_SRCS psmeca.c pspolar.c psvelo.c pscoupe.c)

# example files
set (SUPPL_EXAMPLE_FILES README.meca)

# lib sources
set (LIB_SRCS ${SUPPL_LIB_SRCS} ${SUPPL_PROGS_SRCS})

# create build targets
string (REPLACE ".c" "" _gmt_modules "${SUPPL_PROGS_SRCS}")
install_module_symlink (${_gmt_modules})

## Generate manpages
#string (REPLACE ".c" ".1" SUPPL_MAN_1 "${SUPPL_PROGS_SRCS}")
#gmt_create_manpages ("${SUPPL_MAN_1}")

# install example data
install (FILES ${SUPPL_EXAMPLE_FILES}
	DESTINATION ${GMT_DOCDIR}/supplements/meca
	COMPONENT Documentation)
install (PROGRAMS ${SUPPL_EXAMPLE_PROGS}
	DESTINATION ${GMT_DOCDIR}/supplements/meca
	COMPONENT Documentation)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== src/mgd77/CMakeLists.txt ===
#
# $Id$
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# To modify the cmake process: Edit your cmake/ConfigUser.cmake file
#

# source files
set (SUPPL_LIB_SRCS mgd77.h mgd77_IGF_coeffs.h mgd77_codes.h mgd77_init.h
	mgd77_recalc.h mgd77magref.h mgd77defaults.h mgd77_functions.h
	cm4_functions.h mgd77.c mgd77_functions.c cm4_functions.c)
set (SUPPL_PROGS_SRCS mgd77convert.c mgd77info.c mgd77list.c
	mgd77magref.c mgd77manage.c mgd77path.c mgd77sniffer.c mgd77track.c)

# lib sources
set (LIB_SRCS ${SUPPL_LIB_SRCS} ${SUPPL_PROGS_SRCS})

# create build targets
string (REPLACE ".c" "" _gmt_modules "${SUPPL_PROGS_SRCS}")
install_module_symlink (${_gmt_modules})

## Generate manpages
#string (REPLACE ".c" ".1" SUPPL_MAN_1 "${SUPPL_PROGS_SRCS}")
#gmt_create_manpages ("${SUPPL_MAN_1}")

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== src/misc/CMakeLists.txt ===
#
# $Id: CMakeLists.txt 13846 2014-12-28 21:46:54Z pwessel $
#
# Copyright (c) 1991-2015 by P. Wessel, W. H. F. Smith, R. Scharroo, J. Luis, and F. Wobbe
# See LICENSE.TXT file for copying and redistribution conditions.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU Lesser General Public License as published by
# the Free Software Foundation; version 3 or any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# Contact info: gmt.soest.hawaii.edu
#-------------------------------------------------------------------------------
#
# To modify the cmake process: Edit your cmake/ConfigUser.cmake file
#

# source files
set (SUPPL_PROGS_SRCS dimfilter.c)

# lib sources
set (LIB_SRCS ${SUPPL_PROGS_SRCS})

# example files
set (SUPPL_EXAMPLE_FILES README.misc)
set (SUPPL_EXAMPLE_PROGS dim.template.sh)

# create build targets
string (REPLACE ".c" "" _gmt_modules "${SUPPL_PROGS_SRCS}")
install_module_symlink (${_gmt_modules})

## Generate manpages
#string (REPLACE ".c" ".1" SUPPL_MAN_1
#	"${SUPPL_PROGS_SRCS}")
#gmt_create_manpages ("${SUPPL_MAN_1}")

# install example data
if (UNIX)
	install (FILES ${SUPPL_EXAMPLE_FILES}
		DESTINATION ${GMT_DOCDIR}/supplements/misc
		COMPONENT Documentation)
	install (PROGRAMS ${SUPPL_EXAMPLE_PROGS}
		DESTINATION ${GMT_DOCDIR}/supplements/misc
		COMPONENT Documentation)
endif (UNIX)

# vim: textwidth=78 noexpandtab tabstop=2 softtabstop=2 shiftwidth=2

=== debian/changelog ===
gmt (5.2.1+dfsg-4ubuntu1) yakkety; urgency=medium

  * Fix build with glibc-2.23.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 17:19:46 +0200

gmt (5.2.1+dfsg-4) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Add patches for various typos.
  * Add lintian override for old-style-config-script-multiarch-path.
    See: https://lists.debian.org/debian-devel/2016/01/msg00688.html
  * Drop unused FLOCK CMake option.
  * Add patch to fix build on sparc64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Feb 2016 02:43:47 +0100

gmt (5.2.1+dfsg-3) unstable; urgency=medium

  * Add patch to fix build on HPPA.
    Thanks to John David Anglin for the patch.
    (closes: #805731)
  * Add patch to fix build on alpha.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Nov 2015 20:10:21 +0100

gmt (5.2.1+dfsg-2) unstable; urgency=medium

  * Add Breaks/Replaces for files moved from gmt-doc-pdf to gmt-doc.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Nov 2015 21:20:23 +0100

gmt (5.2.1+dfsg-1) unstable; urgency=medium

  * Move from experimental to unstable

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 14 Nov 2015 13:06:10 +0100

gmt (5.2.1+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Add license & copyright for gmt_url.c
    - Drop license & copyright for removed compat headers
  * Drop patches applied upstream, refresh remaining patches.
  * Install PDF & tutorial files in gmt-doc too.
  * Update symbols for 5.2.1.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 13 Nov 2015 11:06:30 +0100

gmt (5.1.2+dfsg1-3) unstable; urgency=medium

  * Apply patch by Andreas Tille to fix YAML syntax for upstream metadata.
  * Add patch for 'below' typo.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Oct 2015 10:10:41 +0200

=== debian/control ===
Source: gmt
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: extra
Build-Depends: debhelper (>= 9),
               chrpath,
               cmake,
               ghostscript,
               gmt-dcw,
               gmt-gshhg,
               libfftw3-dev,
               libgdal-dev,
               libnetcdf-dev,
               libpcre3-dev,
               libxaw7-dev,
               libxmu-headers,
               python-sphinx,
               texlive,
               texlive-latex-extra,
               zlib1g-dev,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 3.9.7
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/gmt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/gmt.git
Homepage: http://gmt.soest.hawaii.edu/projects/gmt

Package: gmt
Architecture: any
Depends: gmt-common (= ${source:Version}),
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: gmt-gshhg-data | gmt-gshhg-low,
            gmt-dcw,
            gmt-doc
Suggests: gmt-examples
Breaks: libgenome-perl (<< 0.06-3~)
Replaces: libgenome-perl (<< 0.06-3~)
Description: Generic Mapping Tools
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color.
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.

Package: gmt-common
Architecture: all
Depends: ${misc:Depends}
Breaks: gmt (<< 5.1.2),
        gmt-manpages (<< 5.1.2)
Replaces: gmt (<< 5.1.2),
          gmt-manpages (<< 5.1.2)
Description: Generic Mapping Tools - Architecture-independent files
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color.
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.
 .
 This package contains the architecture-independent files for GMT.

Package: libgmt5
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library
 GMT libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views.
 .
 This package contains the GMT library.

Package: libgmt-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         libgmt5 (= ${binary:Version}),
         libnetcdf-dev,
         ${misc:Depends}
Suggests: gmt
Description: Generic Mapping Tools Library - Development files
 These set of libraries allow manipulating geographic and Cartesian data sets
 (including filtering, trend fitting, gridding, projecting, etc.) and
 producing Encapsulated PostScript File (EPS) illustrations ranging from
 simple x-y plots via contour maps to artificially illuminated surfaces
 and 3-D perspective views.
 .
 This package contains the files used for development of programs that
 use the GMT libraries (headers).

Package: gmt-dbg
Architecture: any
Section: debug
Depends: libgmt5 (= ${binary:Version}),
         ${misc:Depends}
Description: Generic Mapping Tools Library - Debugging symbols
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color.
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.
 .
 This package contains debugging symbols for GMT.

Package: gmt-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         libjs-underscore,
         ${misc:Depends}
Suggests: www-browser
Breaks: gmt (<< 4.5.7-1~),
        gmt-doc-pdf (<< 5.2.1+dfsg-1~)
Replaces: gmt (<< 4.5.7-1~),
          gmt-doc-pdf (<< 5.2.1+dfsg-1~)
Description: Documentation for GMT, the Generic Mapping Tools
 GMT is a collection of UNIX tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color.
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.
 .
 This package contains the documentation for GMT.

Package: gmt-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: gmt
Description: Example scripts illustrating the use of GMT
 GMT is a collection of tools that allow users to manipulate
 (x,y) and (x,y,z) data sets (including filtering, trend fitting, gridding,
 projecting, etc.) and produce Encapsulated PostScript File (EPS) illustrations
 ranging from simple x-y plots through contour maps to artificially illuminated
 surfaces and 3-D perspective views in black and white, gray tone, hachure
 patterns, and 24-bit color.
 .
 GMT supports many common map projections plus linear, log, and power scaling,
 and comes with support data such as coastlines, rivers, and political
 boundaries.
 .
 This package contains example scripts illustrating the use of GMT.

=== debian/rules ===
#! /usr/bin/make -f

CFLAGS += $(CPPFLAGS)

ifneq (,$(findstring verbose,$(DEB_BUILD_OPTIONS)))
   DH_VERBOSE=1
   export DH_VERBOSE
endif

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')
BUILD_DATE=$(shell dpkg-parsechangelog | sed -ne 's/^Date: //p' | LC_ALL=C date -u "+%d %B %Y" -f -)

MANPAGES:=$(wildcard debian/man/*.*.xml)

BUILDDIR = $(CURDIR)/debian/build
DESTDIR  = $(CURDIR)/debian/tmp

CMAKE_OPTS = -DCMAKE_BUILD_TYPE=RelWithDebInfo \
             -DCMAKE_C_FLAGS="-fstrict-aliasing $(CFLAGS)" \
             -DCMAKE_INSTALL_PREFIX=/usr \
             -DDCW_ROOT=/usr/share/gmt-dcw \
             -DGSHHG_ROOT=/usr/share/gmt-gshhg \
             -DNETCDF_ROOT=/usr \
             -DFFTW3_ROOT=/usr \
             -DGDAL_ROOT=/usr \
             -DPCRE_ROOT=/usr \
             -DGMT_INSTALL_MODULE_LINKS=off \
             -DGMT_INSTALL_TRADITIONAL_FOLDERNAMES=off \
             -DLICENSE_RESTRICTED=LGPL

%:
	dh $@ --buildsystem cmake \
	      --sourcedirectory=$(CURDIR) --builddirectory=$(BUILDDIR) \
	      --parallel

override_dh_clean:
	dh_clean debian/man/*.1

override_dh_auto_clean:
	rm -rf $(BUILDDIR) $(DESTDIR)
	dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -B $(BUILDDIR) -- $(CMAKE_OPTS)

override_dh_auto_build-arch:
	mkdir $(BUILDDIR) || true 
	cd $(BUILDDIR) && cmake $(CMAKE_OPTS) ../..
	$(MAKE) -C $(BUILDDIR) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" 

override_dh_auto_build-indep:
	$(MAKE) -C $(BUILDDIR) docs_man docs_html

override_dh_auto_install:
	# Create man pages from DocBook XML
	for x in $(MANPAGES) ; do \
	  docbook2x-man --string-param header-3="$(BUILD_DATE)" $$x ; \
	  mv `basename $$x | sed 's/.xml$$//'` `dirname $$x` ; \
	done

	DESTDIR=$(DESTDIR) $(MAKE) -C $(BUILDDIR) install
	dh_auto_install

	# Uncompress examples stuff 
	#find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.gz" -exec gunzip {} \;
	# Remove +x 
	#find  $(CURDIR)/debian/gmt-examples/usr/share/doc/gmt-examples/examples -name "*.bat" -exec chmod -x {} \;

	# Remove executable bit from shell includes & examples
	chmod -x debian/tmp/usr/share/gmt/tools/gmt_aliases.csh \
	         debian/tmp/usr/share/doc/gmt/examples/ex41/my_color.cpt \
	         debian/tmp/usr/share/doc/gmt/examples/ex41/my_data.txt \
	         debian/tmp/usr/share/doc/gmt/examples/ex41/my_symbol.def \
	         debian/tmp/usr/share/doc/gmt/examples/ex41/my_table.txt

	# Remove embedded sphinx copies of JS libraries in favor of packaged ones
	rm -f debian/tmp/usr/share/doc/gmt/html/_static/jquery.js \
	      debian/tmp/usr/share/doc/gmt/html/_static/underscore.js

	# Remove empty directory
	rm -rfv debian/tmp/usr/share/doc/gmt/html/_images/math/

	# Remove extra license files
	rm -rf debian/tmp/usr/share/doc/gmt/copying/

	# Fix bash-completion installation
	mkdir -p debian/tmp/usr/share/bash-completion/completions
	mv debian/tmp/usr/etc/bash_completion.d/gmt debian/tmp/usr/share/bash-completion/completions
	rm -rf debian/tmp/usr/etc/bash_completion.d
	rmdir debian/tmp/usr/etc/

	# Strip RPATH
	chrpath --delete \
	        debian/tmp/usr/lib/*/gmt/plugins/supplements.so \
	        debian/tmp/usr/lib/*/lib*.so.*.* \
	        debian/tmp/usr/bin/gmt

override_dh_install:
	dh_install --list-missing

override_dh_installman:
	dh_installman

	# Fix gmt_shell_functions.sh man page installation
	if [ -e "debian/gmt-common/usr/share/man/sh/man1/gmt_shell_functions.1gmt" ]; then \
		mv debian/gmt-common/usr/share/man/sh/man1/gmt_shell_functions.1gmt \
		   debian/gmt-common/usr/share/man/man1/gmt_shell_functions.sh.1gmt ; \
		rm -rf debian/gmt-common/usr/share/man/sh/ ; \
	fi

override_dh_compress:
	# Don't compress the pdf files needed for the gmt-doc-pdf package, nor the examples
	dh_compress -X.pdf -Xusr/share/doc/gmt-examples/examples/

override_dh_strip:
	dh_strip --dbg-package=gmt-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
